<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.nav-items{
		display: flex;
		flex-direction: column;
		align-items: center;
		width:100px;
		position: relative;
	}
	.nav-item{
		height:2vh;
		padding:2vh;
		z-index: 1;
		text-align: center;
		cursor: pointer;
	}
	#move{
		height:6vh;
		position: absolute;
		top:0;
		width: 100%;
		background:coral;
		z-index: 0;
		border-radius: 50px;
		transition: .3s;
	}
</style>
<body>
<div class="nav-items">
	<div class="nav-item" onclick="moveBg(0)" >Home</div>
	<div class="nav-item" onclick="moveBg(100)">About</div>
	<div class="nav-item" onclick="moveBg(200)">Services</div>
	<div class="nav-item" onclick="moveBg(300)">Contact</div>
	<div class="nav-item" onclick="moveBg(400)">I wanna die</div>
	<div id="move"></div>
</div>
</body>
<script type="text/javascript">
	function moveBg(a){
		document.getElementById('move').style.transform= "translateY("+ a + "%)";
	}
</script>
</html>